<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryKeyGenDelegate Delegate
See Also

The function that creates the set of secondary keys corresponding to a given primary key and data pair.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public delegate DatabaseEntry SecondaryKeyGenDelegate(
    	DatabaseEntry key,
    	DatabaseEntry data
    )

Visual Basic (Declaration)

    Public Delegate Function SecondaryKeyGenDelegate ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry _
    ) As DatabaseEntry

Visual C++

    public delegate DatabaseEntry^ SecondaryKeyGenDelegate(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The primary key

data
  Type: BerkeleyDB..::.DatabaseEntry
  The primary data item

#### Return Value

The secondary key(s)

# See Also

BerkeleyDB Namespace